Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware.calendar
Class FreeBusy.Interval

    java.lang.Object
      portlets.compoze.groupware.calendar.FreeBusy.Interval

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  FreeBusy

public static class FreeBusy.Interval
extends java.lang.Object
implements java.io.Serializable

This class represents an interval for display.

See Also:
  Serialized Form

Method Summary
`int` | `getHour()` Gets the hour of day.
`java.lang.String` | `getHourString()` Gets the hour string.
`static FreeBusy.Interval[]` | `getIntervals(java.util.Date startTime, java.util.Date endTime, int iInterval, java.util.Locale locale, java.util.TimeZone timeZone)` Gets the intervals.
`static FreeBusy.Interval[]` | `getIntervals(java.util.Date startDate, int iStartHour, int iEndHour, int iInterval, java.util.Locale locale, java.util.TimeZone timeZone)` Gets the intervals.
`java.util.Date` | `getStartTime()` Gets the start time.
`boolean` | `isDisplayable()` Checks if the interval hour should be displayed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getStartTime

    public java.util.Date getStartTime()

  Gets the start time.

  Returns:
    the start time

### getHour

    public int getHour()

  Gets the hour of day.

  Returns:
    the hour of day (24-hour clock)

### getHourString

    public java.lang.String getHourString()

  Gets the hour string.

  Returns:
    the hours string or an empty string

### isDisplayable

    public boolean isDisplayable()

  Checks if the interval hour should be displayed.

  Returns:
    `true` if the interval hour should be displayed; `false` otherwise

### getIntervals

    public static FreeBusy.Interval[] getIntervals(java.util.Date startTime,
                                                   java.util.Date endTime,
                                                   int iInterval,
                                                   java.util.Locale locale,
                                                   java.util.TimeZone timeZone)

  Gets the intervals.

  Parameters:
    `startTime` - the start time
    `endTime` - the end time
    `iInterval` - the interval (in minutes)
    `locale` - the locale
    `timeZone` - the time zone
  Returns:
    an array of intervals

### getIntervals

    public static FreeBusy.Interval[] getIntervals(java.util.Date startDate,
                                                   int iStartHour,
                                                   int iEndHour,
                                                   int iInterval,
                                                   java.util.Locale locale,
                                                   java.util.TimeZone timeZone)

  Gets the intervals.

  Parameters:
    `startDate` - the start date
    `iStartHour` - the start hour
    `iEndHour` - the end hour
    `iInterval` - the interval (in minutes)
    `locale` - the locale
    `timeZone` - the time zone
  Returns:
    an array of intervals

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.